// DrawText.h: interface for the CTextFont class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TEXTSPRITE_H__A2954252_C9A2_11D1_AE92_000000000000__INCLUDED_)
#define AFX_TEXTSPRITE_H__A2954252_C9A2_11D1_AE92_000000000000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define	TEXTSPRITE_DEFAULTCHAR	_T('\0')

class CTextFont
{
// Construction/destruction
public:
	CTextFont();
	CTextFont(IDirectDrawSurface7 *lpSurface, 
		int xImage, int yImage, int cx, int cy, 
		LPCTSTR lpCharSet, TCHAR cDefaultChar = TEXTSPRITE_DEFAULTCHAR, 
		int nFramesAcross = -1);
	CTextFont(CTextFont& s);
	virtual ~CTextFont();

// Operations
public:
	int		GetTextWidth(LPCTSTR lpText);
	BOOL	DrawText(LPCTSTR lpText, int x, int y, UINT nFormat = DT_LEFT | DT_TOP);

// Attributes
public:
	TCHAR				m_cDefaultChar;
	LPCTSTR				m_szCharSet;

	IDirectDrawSurface7	*m_pSurface;
	int					m_xImage, m_yImage, m_cx, m_cy;
	int					m_nFramesAcross;
};

#endif // !defined(AFX_TEXTSPRITE_H__A2954252_C9A2_11D1_AE92_000000000000__INCLUDED_)
